package a3test.canvases;

import jp.sourceforge.acerola3d.a3.*;
import javax.swing.*;

public class JA3Canvas2Test {
    public static void main(String args[]) throws Exception {
        JFrame f = new JFrame("JA3Canvas2Test");
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        JA3Canvas2 c = JA3Canvas2.createJA3Canvas(300,300);
        //JA3Canvas c = JA3Canvas.createJA3Canvas(300,300);
        f.add(c);
        f.pack();
        f.setVisible(true);
        c.setNavigationMode(A3CanvasInterface.NaviMode.EDIT);
        A3Background b = new A3Background(0.8f,0.8f,0.5f);
        c.setBackground(b);
        Action3D a3 = new Action3D("x-res:///axis.a3");
        c.add(a3);
    }
}
